package ui

import blt "bearlibterminal"
import (
    "fmt"
    "util"
)

var modifiers = []int{blt.TK_SHIFT, blt.TK_ALT, blt.TK_CONTROL}

func ReadKey() (string, int)  {
    if !blt.HasInput() {
        return "", blt.TK_NONE
    }
    var key = blt.Read()
    var pressed = ""
    var isModifier, _ = util.InArray(key, modifiers)
    if (!isModifier) {

        pressed = Scancodemap[key]

        if blt.Check(blt.TK_SHIFT) != 0 {
            pressed = "Shift+" + pressed
        }
        if blt.Check(blt.TK_ALT) != 0 {
            pressed = "Alt+" + pressed
        }
        if blt.Check(blt.TK_CONTROL) != 0 {
            pressed = "Ctrl+" + pressed
        }
        fmt.Println(pressed)
    }

    return pressed, key
}
